[next] [prev] [prev-tail] [tail] [up]

#### 3.2.8 descr

This option specifies the name of a description file that contains the actual documentation for the unit. This option can be given several times, for several description files. The file will be searched relative to the current directory. No extension is added to the file, it should be a complete filename.

If the filename starts with an ’at’ sign @, then it is interpreted as a text file which contains a list of filenames, one per line. Each of these files will be added to the list of description files.

The nodes in the description files will be merged into one big tree. This means that the documentation can be divided over multiple files. When merging the description files, nodes that occur twice will end up only once in the big node tree: the last node will always be the node that ends up in the parse tree. This means that the order of the various input commands or the ordering of the files in the file list is important.

Examples:

--descr=crt.xml

will tell FPDoc to read documentation from crt.xml, while

--descr=@fcl.lst

will tell FPDoc to read filenames from fcl.lst; each of the filenames found in it will be added to the list of files to be scanned for descriptions.

[next] [prev] [prev-tail] [front] [up]